---
title: "Get Report by ID"
slug: "get-report"
updated: 2025-11-26T06:31:12Z
published: 2025-11-26T06:31:12Z
canonical: "docs.xendit.co/get-report"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xendit.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Report by ID

Get/reports/{report_id}

Request this endpoint to get single specific report details by report id. You can use this endpoint as alternative compared to using the report callback.

SecurityHTTPType basic

API Key authentication using HTTPS Basic Auth. Use your API key as the username. The password field can be left empty. Note: In the API documentation "Try it" section, password is required, you may include any value.

Path parametersreport_idstringRequired

Unique ID generated by Xendit for the particular report

Responses200

Successful operation

<select class='api-response-data' aria-label='Media type'><option value='0b5d58cb-f107-4d80-b4c3-496260d4f353'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='7ad0bbef-6496-4e4d-a6dc-9bafb67a8597'>getReport</option>
</select>getReport

```json
{
  "id": "report_5c1b34a2-6ceb-4c24-aba9-c836bac82b28",
  "type": "BALANCE_HISTORY",
  "filter": {
    "from": "2021-06-23T04:01:55.574Z",
    "to": "2021-06-24T04:01:55.574Z"
  },
  "format": "CSV",
  "url": "https://transaction-report-files.s3-us-west-2.amazonaws.com/{report_name}",
  "currency": "IDR",
  "business_id": "5f34f60535ba7c1c0eed846a",
  "created": "2021-06-24T04:01:55.570Z",
  "updated": "2021-06-24T04:01:55.570Z"
}
```

Expand Allobject  idstring    

Report ID

typestring    

The type of report that will be generated

Valid values[
  "BALANCE_HISTORY",
  "TRANSACTIONS",
  "UPCOMING_TRANSACTIONS",
  "DETAILED_TRANSACTIONS"
]
filterobject (ReportFilter)  

Filtering that are applied to report

The combination of `from` and `to` must be less than 92 days.

fromstring  (date-time)    

The start time of the transaction to be filtered (ISO 8601)

Example2025-07-01T00:00:00Z
tostring  (date-time)    

The end time of the transaction to be filtered (ISO 8601)

Example2025-07-31T23:59:59Z

formatstring    

The format of the report. Available format is `CSV`.

Valid values[
  "CSV"
]Default"CSV"
urlstring    

URL to download after report is completed. The file to download will only be accessible for 24 hours. When the url is expired, you will need to send a new request to generate the report.

currencystring    

The currency to filter.

Valid values[
  "IDR",
  "PHP",
  "USD",
  "VND",
  "THB",
  "MYR",
  "SGD",
  "EUR",
  "GBP",
  "HKD",
  "AUD"
]Default"IDR"
business_idstring    

Unique ID generated by Xendit for the particular file

createdstring    

The time when the report request is created at UTC+0.

updatedstring    

The time when the report is updated at UTC+0.

400

Inputs are failing validation. The errors field contains details about which fields are violating validation.

<select class='api-response-data' aria-label='Media type'><option value='b176e043-66f7-4916-897d-dc6995609c64'>application/json</option>
</select>object  error_codestring    Valid values[
  "API_VALIDATION_ERROR",
  "FEATURE_NOT_AVAILABLE"
]
messagestring    
errors Array  OneOfstringstring
objectobject

404

The provided `id` does not exist. Please review the `id` and try again

<select class='api-response-data' aria-label='Media type'><option value='4759c878-3d1d-4640-a2d7-9bdb27fa55e5'>application/json</option>
</select>object  error_codestring    Valid values[
  "RATE_LIMIT_EXCEEDED"
]
messagestring    
errors Array  OneOfstringstring
objectobject
